Nexpose: System Requirements

Officially Supported Systems

Minimum Hardware

  • 2 GHz+ processor (Dual-core processor recommended)
  • 8 GB RAM (16 GB recommended)
  • 80 GB+ available disk space (10 GB for Community Edition)
  • 10 GB+ available disk space for Scan engines
  • English operating system with English/United States regional settings
  • 100 Mbps network interface card (1 Gbps NIC recommended)


  • Google Chrome (latest) (RECOMMENDED)
  • Mozilla Firefox (latest)
  • Mozilla Firefox ESR (latest)
  • Microsoft Internet Explorer 9*, 10, 11

Operating Systems

64-bit versions of the following platforms are supported.

  • Ubuntu Linux 12.04 LTS (RECOMMENDED)
  • Ubuntu Linux 14.04 LTS
  • Ubuntu Linux 10.04 LTS*
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 8.1
  • Microsoft Windows 7 SP1+
  • Red Hat Enterprise Linux Server 6.5 or later
  • Red Hat Enterprise Linux Server 5.10 or later
  • Kali Linux 1.0.x
  • Virtual Machines on VMware ESXi 5.x, VMware vCenter Server 5.x

*View more information on Rapid7's end of life policy.

Product Documentation

Try our Vulnerability Management Software Today

Nexpose Ultimate is the first and only vulnerability management solution to combine assessment of vulnerabilities and controls, vulnerability validation, and prioritized remediation planning in a single solution.

It's not about only the product, it's about the support, your sales team, how responsive these entities are to you.

Scott Erven
Manager, Information Security, Essentia Health

Compare Nexpose Editions

From individual use to enterprise level - Which edition is right for you?

Click to compare

Request a Nexpose Demo

Let us walk you through Nexpose

Request A Demo

Free Nexpose Download

Discover, prioritize, and remediate security risks today!

 Download now